import axios from 'axios';
import { AddEventParams, DeleteEventParams, DeleteEventForAppParams } from '@/api/interface';

// 公共路径
const urlPrefix = '/api/v1/bpms-workbench';

// 事件管理-获取事件列表
export function getEventList() {
  return axios.get(`${urlPrefix}/event/list`);
}

// 事件管理-添加事件
export function addEventItem(params: AddEventParams) {
  return axios.post(`${urlPrefix}/event/addSub`, params);
}

// 事件管理-删除事件
export function deleteEventItem(id: DeleteEventParams) {
  return axios.delete(`${urlPrefix}/event/${id}/del`);
}

// 事件管理-删除应用发布(事件发送)
export function deleteEventPub(params: DeleteEventForAppParams) {
  return axios.delete(`${urlPrefix}/event/pub`, { data: params });
}

// 事件管理-删除应用定远(事件接收)
export function deleteEventSub(params: DeleteEventForAppParams) {
  return axios.delete(`${urlPrefix}/event/sub`, { data: params });
}

// 事件管理-查询事件
export function queryEventItem(name: string) {
  return axios.post(`${urlPrefix}/event/get`, { name });
}

// 事件管理-使用场景ID查询事件
export function queryEventItemBySceneId(sceneId: string) {
  return axios.get(`${urlPrefix}/event/${sceneId}/get`);
}

